# LSattr_html_sambaAcctFlags

Ce type est prévu pour gérer l'attribut *sambaAcctFlags* du schéma Samba, qui au travers d'une seule
et unique valeur, respectant un format prévu, liste l'ensemble des drapeaux actifs d'un compte
Samba. Il est conçu pour être utilisé conjointement avec le type d'attribut LDAP
[LSattr_ldap_sambaAcctFlags](../LSattr_ldap/LSattr_ldap_sambaAcctFlags.md#lsattr_ldap_sambaAcctFlags).

Pour définir la valeur par défaut de cet attribut, il faut définir paramètre `default_value` comme
un tableau des drapeaux telque prévu par Samba :

  - `U`

    Compte utilisateur standard

  - `W`

    Compte de poste de travail approuvé

  - `S`

    Compte de serveur approuvé

  - `I`

    Compte de domaine approuvé

  - `M`

    Compte de connexion Majority Node Set (MNS)

  - `H`

    Dossier personnel requis

  - `N`

    Compte sans mot de passe

  - `X`

    Le mot de passe n'expire jamais

  - `D`

    Compte désactivé

  - `T`

    Copie temporaire d'un autre compte

  - `L`

    Compte automatiquement bloqué

```
  Exemple de valeur par défaut...
'default_value' => array('U', 'X'),
...
```

!!! note

    Ce type d'attribut est implémenté en dérivant le type *LSattr_html_select_box* dont les valeurs
    possibles sont pré-configurées (paramètre `possible_values`). Même si cela n'est pas forcément
    utiles, les autres paramètres du type parent restent utilisables.
